<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "listing_site".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ListingSite".
 *
 * Columns in table "listing_site" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property string $name
 * @property integer $active
 * @property integer $priority
 * @property integer $is_doctor_alias
 * @property string $logo_path
 * @property string $date_added
 *
 */
abstract class BaseListingSite extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'listing_site';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ListingSite|ListingSites', $n);
    }

    public static function representingColumn()
    {
        return 'name';
    }

    public function rules()
    {
        return array(
            array('name, active, is_doctor_alias', 'required'),
            array('active, priority, is_doctor_alias', 'numerical', 'integerOnly' => true),
            array('name', 'length', 'max' => 80),
            array('logo_path', 'length', 'max' => 255),
            array('date_added', 'safe'),
            array('priority, logo_path, date_added', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, name, active, priority, is_doctor_alias, logo_path, date_added', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'name' => Yii::t('app', 'Name'),
            'active' => Yii::t('app', 'Active'),
            'priority' => Yii::t('app', 'Priority sort Order'),
            'is_doctor_alias' => Yii::t('app', 'Is a DDC Clone?'),
            'logo_path' => Yii::t('app', 'Logo'),
            'date_added' => Yii::t('app', 'Date Added'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('name', $this->name, true);
        $criteria->compare('active', $this->active);
        $criteria->compare('priority', $this->priority);
        $criteria->compare('is_doctor_alias', $this->is_doctor_alias);
        $criteria->compare('logo_path', $this->logo_path, true);
        $criteria->compare('date_added', $this->date_added, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
